#pragma once


#include "NByteArray.h"
#include "NPUnzipFile.h"

class AbstractResourceLoader
{
public:
	AbstractResourceLoader(void);
	virtual ~AbstractResourceLoader(void);

	virtual BOOL Init(CNPUnzipFile* zipimage);
	virtual BOOL Close();

protected:
	CNPUnzipFile*	m_ZipImage;

	void ReadCurrentZipFile(CNByteArray& bufArray, long lFileSize);
};
